// --------------------------------------------------------------------------
#ifndef TDx_Input_Library_Install_H
#define TDx_Input_Library_Install_H

// ==========================================================================
// File:         TDx_Input_Library_Install.H
// Authors:      BCB_Code_Generator v1.70,Darren Dwyer
// Description:  This file includes all files required by the 
//               TDx_Input_Library v1.70. 
//
// "TDx_Input_Library v1.70"
// (c) 2003 BCB-Tools.com Pty. Ltd., Sydney, Australia.
// All Rights Reserved.
//
// Refer to the 'Licence.Txt' file for licencing & copyright information.
// ==========================================================================

#ifndef WIN32_LEAN_AND_MEAN
#define WIN32_LEAN_AND_MEAN
#endif
// --------------------------------------------------------------------------
#include "TDx_Library_Defns.H"
#include "TDx_Library_Functions.H"
#include "TDx_Input_Library_Defns.H"
#include "TDx_Input_Library_Functions.H"
// --------------------------------------------------------------------------
#include "TDICondition.H"
#include "TDIConstantForce.H"
#include "TDICustomForce.H"
#include "TDIDataFormat.H"
#include "TDIDevCaps.H"
#include "TDIDeviceInstance.H"
#include "TDIDeviceObjectData.H"
#include "TDIDeviceObjectInstance.H"
#include "TDIEffEscape.H"
#include "TDIEffect.H"
#include "TDIEffectInfo.H"
#include "TDIEnvelope.H"
#include "TDIFileEffect.H"
#include "TDIJoyState.H"
#include "TDIJoyState2.H"
#include "TDIKeyboardState.H"
#include "TDIMouseState.H"
#include "TDIMouseState2.H"
#include "TDIObjectDataFormat.H"
#include "TDIPeriodic.H"
#include "TDIPropDWORD.H"
#include "TDIPropGuidAndPath.H"
#include "TDIPropHeader.H"
#include "TDIPropRange.H"
#include "TDIPropString.H"
#include "TDIRampForce.H"
#include "TDx_Input.H"
#include "TDx_InputDevice.H"
#include "TDx_InputEffect.H"
// --------------------------------------------------------------------------
#endif
